summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2016-10-18 21:57:11 +0200
committerJohannes Huber <johu@gentoo.org>2016-10-18 22:09:22 +0200
commit8a5934aa38e64c3560752baff5c9c7b03eff2981 (patch)
tree751c477265fbf6365b06564fc5b25aad11b2f91e /kde-apps/ktnef
parentprofiles: Update KDE PIM 16.08 mask (diff)
downloadgentoo-8a5934aa38e64c3560752baff5c9c7b03eff2981.tar.gz
gentoo-8a5934aa38e64c3560752baff5c9c7b03eff2981.tar.bz2
gentoo-8a5934aa38e64c3560752baff5c9c7b03eff2981.zip
kde-apps: Version bump KDE Applications 16.08.2
Package-Manager: portage-2.3.2
Diffstat (limited to 'kde-apps/ktnef')
-rw-r--r--kde-apps/ktnef/Manifest1
-rw-r--r--kde-apps/ktnef/ktnef-16.08.2.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/kde-apps/ktnef/Manifest b/kde-apps/ktnef/Manifest
index a676dc482573..61cafa18877d 100644
--- a/kde-apps/ktnef/Manifest
+++ b/kde-apps/ktnef/Manifest
@@ -1,2 +1,3 @@
DIST kdepim-16.08.1.tar.xz 6333212 SHA256 7e95421769aea9714792dd82d1162b9f1a5f1c97b2a8ef6e049e9b0779626b45 SHA512 4c995eb58478a9abc5789aa81d69b33e1843a3ac92f87607e09ee58523a417fdf621ca15fbade42c3f7b66f8aa1adef6c053abcfe826d010d21d3021be462a80 WHIRLPOOL b919ab0b1f4fbb9eec4b7943dd1d38ccb814ed101d37a785a052fd75775d8f2e1534ca9f4a2586394bd0d6cfff245bbe23f00462ff555e669d56102bac32cc2e
+DIST kdepim-16.08.2.tar.xz 6333348 SHA256 82d9ec2848ca335670b6be1a0a4c998db84157da1170fa2bb890a046bdf78997 SHA512 4dd551e4a85d8e8c49f7c523f37b3aea1afa07aa80c67142a588873e1f6d4af4e2703a71b5af8bb2307617ad2e148418555e1debecaf6aef5dd4439aefbdca92 WHIRLPOOL 935d745774cb6bc9fade99b415b22c67f5aaf4d3bf1d30a839bc7aa92de155bacb46061e2439f2e3731a604f81ba519c51e3ee98e1261e5c99fbda3944056089
DIST kdepim-4.14.11_pre20160211.tar.gz 18551484 SHA256 b970c0c04652519cc7e88d818b3a29e7b356a73f449f7f6e5767d60e5b2a17e3 SHA512 e7fcf14353e457e9b3ec2d7eefa18ac0d9bc454ecaa682dcaf1585a6a36968bc8d7ea6ab61398a8d697d9343f0cd87472a906d444f814cd44956b6499826bb1d WHIRLPOOL f66fd74138ce871f88ce211c3b6af287cddaeda493e42c3b683938c274482d1f09a3ae659d380d4e19f5e5da70f5724ddd48723acf5846f6a1e9c01a79803e7e
diff --git a/kde-apps/ktnef/ktnef-16.08.2.ebuild b/kde-apps/ktnef/ktnef-16.08.2.ebuild
new file mode 100644
index 000000000000..a90f0d6f07ea
--- /dev/null
+++ b/kde-apps/ktnef/ktnef-16.08.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="forceoptional"
+KMNAME="kdepim"
+inherit kde5
+
+DESCRIPTION="Viewer for TNEF attachments (proprietary MS Outlook/Exchange Server format)"
+HOMEPAGE="https://www.kde.org/"
+LICENSE="GPL-2+ handbook? ( FDL-1.2+ )"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_kdeapps_dep libktnef)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # ktnef subproject does not contain doc nor searches for DocTools
+ # at least until properly split upstream
+ echo "add_subdirectory(doc)" >> CMakeLists.txt || die "Failed to add doc dir"
+
+ mkdir doc || die "Failed to create doc dir"
+ mv ../doc/${PN} doc || die "Failed to move handbook"
+ cat <<-EOF > doc/CMakeLists.txt
+find_package(KF5DocTools)
+add_subdirectory(${PN})
+EOF
+ kde5_src_prepare
+}